<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

class admin_tree_node_entity extends Entity
{
	public function __construct($data=array())
	{
		$this->_data['id']=&$this->_data['tree_id'];
		$this->set($data);
	}
	
	public function getChildren()
	{
		$obj=Factory::create('admin_tree.module');
		return $obj->getNodesByParentId($this->id);
	}
}